//
//  TWSListItemMetadata.h
//  Twilio Sync Client
//
//  Copyright © 2017 Twilio, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

/** Metadata associated with the List Item. */
@interface TWSListItemMetadata : NSObject

/** Optionally specify TTL for the List Item.
 
 This TTL specifies the minimum time the List Item will live, sometime soon after this time the object will be deleted.

 @param ttl The new time to live in seconds from now or TWSDurationInfinity to indicate no expiry.
 @return New metadata object with the specified ttl.
 */
+ (nullable TWSListItemMetadata *)withTtl:(int)ttl;

@end
